# ApplicationFramework
TKPShape
PGeom

# PGeom_Direction Class Reference

`#include <PGeom_Direction.hxx>`

Inheritance diagram for PGeom_Direction:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom_Direction ()
| Creates a unit vector with default values. .
Standard_EXPORT | PGeom_Direction (const gp_Vec &aVec)
| Create a unit vector with <avec>. .
| PGeom_Direction (const Storage_stCONSTclCOM &a)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT PGeom_Direction::PGeom_Direction | ( |  | ) |

Standard_EXPORT PGeom_Direction::PGeom_Direction | ( | const gp_Vec & | aVec | ) |

PGeom_Direction::PGeom_Direction | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PGeom_Direction::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_Vector.

The documentation for this class was generated from the following file:

- PGeom_Direction.hxx